X3D export ignores up/forward vectors
Closed, ResolvedPublic


The X3D exporter seems to ignore the up- and forward-vectors. Attached you find a Blender file with two X3D exports, one of which was done with X-forward and the other with Z-forward. I would expect a difference in the exported file, but there is none (except the embedded file name).

Blender 2.65 64-bit, Win7 64-bit, NVidia GeForce GTX 470

Philipp Oeser (lichtwerk) added a comment.Via Old WorldDec 15 2012, 10:57 PM

can confirm this. in my tests this only happens if "Hierarhy" is unchecked.
In this case the global_matrix resulting from the axis_conversion isnt used. will submit a patch for review next

patch is 33555 in patch tracker (or attached here)

Sybren Stüvel (sybrenstuvel) added a comment.Via Old WorldDec 15 2012, 11:23 PM

Lovely fast fix, thanks a lot!

Ton Roosendaal (ton) added a comment.Via Old WorldDec 16 2012, 6:03 PM

Campbell: there's a patch, can you check and commit?

Thanks for the fix Philipp, applied r4197.

Campbell Barton (campbellbarton) closed this task as "Resolved".Via Old WorldJan 23 2013, 6:23 AM

Add Comment